/*
 * Class EV_WEL_DIB
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_830 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_830 [] = {0xFF01,1551,829,0xFFFF};
static const EIF_TYPE_INDEX egt_2_830 [] = {0xFF01,829,0xFFFF};
static const EIF_TYPE_INDEX egt_3_830 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_830 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_830 [] = {0xFF01,829,0xFFFF};
static const EIF_TYPE_INDEX egt_6_830 [] = {0xFF01,829,0xFFFF};
static const EIF_TYPE_INDEX egt_7_830 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_830 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_830 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_830 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_830 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_830 [] = {0xFF01,829,0xFFFF};
static const EIF_TYPE_INDEX egt_13_830 [] = {0xFF01,713,0xFFFF};
static const EIF_TYPE_INDEX egt_14_830 [] = {0xFF01,761,0xFFFF};
static const EIF_TYPE_INDEX egt_15_830 [] = {0xFF01,713,0xFFFF};
static const EIF_TYPE_INDEX egt_16_830 [] = {0xFF01,713,0xFFFF};
static const EIF_TYPE_INDEX egt_17_830 [] = {0xFF01,713,0xFFFF};
static const EIF_TYPE_INDEX egt_18_830 [] = {0xFF01,760,0xFFFF};


static const struct desc_info desc_830[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_830), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_830), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_830), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_830), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_830), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_830), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_830), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_830), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_830), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_830), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_830), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_830), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x067B /*829*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_830), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 16},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19336, 12},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12896, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19326, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19327, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19328, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19329, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19330, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19331, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19332, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 19333, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_830), 19334, 0},
	{EIF_GENERIC(NULL), 19335, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_830), 19317, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_830), 19318, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_830), 19319, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_830), 19320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19321, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19322, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19323, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19324, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_830), 19325, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19336, 12},
};
void Init830(void)
{
	IDSC(desc_830, 0, 829);
	IDSC(desc_830 + 1, 1, 829);
	IDSC(desc_830 + 32, 791, 829);
	IDSC(desc_830 + 34, 1359, 829);
	IDSC(desc_830 + 44, 1308, 829);
	IDSC(desc_830 + 54, 1503, 829);
	IDSC(desc_830 + 57, 237, 829);
}


#ifdef __cplusplus
}
#endif
